This is an automated email from the git hooks/post-receive script.

sebastic pushed a commit to branch qt5
in repository qgis.

commit 2accb8ad084c1ca02b63e99e78dd5d8670ccb10e
Author: Bas Couwenberg <sebas...@xs4all.nl>
Date:   Fri May 8 23:40:33 2015 +0200

    Switch from Qt4 to Qt5.
---
 debian/changelog |  1 +
 debian/control   | 27 +++++++++++++++------------
 debian/rules     |  3 +++
 3 files changed, 19 insertions(+), 12 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 394e826..3a3d5a1 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,6 +1,7 @@
 qgis (2.8.1+dfsg1-2) UNRELEASED; urgency=medium
 
   * Update branch in gbp.conf.
+  * Switch from Qt4 to Qt5.
 
  -- Bas Couwenberg <sebas...@debian.org>  Fri, 08 May 2015 23:40:06 +0200
 
diff --git a/debian/control b/debian/control
index 5f7d4b9..b8217fa 100644
--- a/debian/control
+++ b/debian/control
@@ -14,28 +14,31 @@ Build-Depends: bison,
                libgdal-dev (>= 1.10.1-0~),
                libgeos-dev (>= 3.0.0),
                libgsl0-dev,
+               libopenscenegraph-dev,
+               libosgearth-dev (>= 2.5.0),
                libpq-dev,
                libproj-dev,
-               libqt4-dev (>= 4.7.0),
-               libqt4-opengl-dev,
-               libqtwebkit-dev,
-               libqwt-dev,
+               libqt5opengl5-dev,
+               libqt5scintilla2-dev,
+               libqt5svg5-dev,
+               libqt5webkit5-dev,
+               libqt5xmlpatterns5-dev,
+#               libqwt-dev,
                libspatialite-dev,
                libsqlite3-dev,
                libspatialindex-dev,
                pkg-config,
-               pyqt4-dev-tools,
-               python-qscintilla2,
+               pyqt5-dev,
+               pyqt5-dev-tools,
+               pyqt5.qsci-dev,
                python-all (>= 2.6.6-3~),
                python-all-dev (>= 2.6.6-3~),
-               python-qt4 (>= 4.1.0),
-               python-qt4-dev (>= 4.1.0),
-               pyqt4.qsci-dev,
+               python-pyqt5,
+#               python-qscintilla2,
                python-sip (>= 4.5.0),
                python-sip-dev (>= 4.5.0),
-               libosgearth-dev (>= 2.5.0),
-               libopenscenegraph-dev,
-               libqscintilla2-dev,
+               qtscript5-dev,
+               qttools5-dev,
                git,
                doxygen,
                graphviz,
diff --git a/debian/rules b/debian/rules
index 5f5e69a..7e0eddb 100755
--- a/debian/rules
+++ b/debian/rules
@@ -50,6 +50,8 @@ CMAKE_OPTS := \
        -DGRASS_PREFIX=/usr/lib/$(GRASS) \
        -DBINDINGS_GLOBAL_INSTALL=TRUE \
        -DPEDANTIC=TRUE \
+       -DENABLE_QT5=TRUE \
+       -DWITH_BINDINGS=FALSE \
        -DWITH_QSPATIALITE=TRUE \
        -DWITH_SERVER=TRUE \
        -DWITH_SERVER_PLUGINS=TRUE \
@@ -58,6 +60,7 @@ CMAKE_OPTS := \
        -DWITH_APIDOC=TRUE \
        -DWITH_CUSTOM_WIDGETS=TRUE \
        -DWITH_GLOBE=TRUE \
+       -DWITH_QWTPOLAR=FALSE \
        -DWITH_INTERNAL_HTTPLIB2=FALSE \
        -DWITH_INTERNAL_JINJA2=FALSE \
        -DWITH_INTERNAL_MARKUPSAFE=FALSE \

-- 
Alioth's /usr/local/bin/git-commit-notice on 
/srv/git.debian.org/git/pkg-grass/qgis.git

_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-grass-devel

Reply via email to